package cordova.plugins;
import org.apache.cordova.CordovaWebView;
import org.apache.cordova.CallbackContext;
import org.apache.cordova.CordovaPlugin;
import org.apache.cordova.PluginResult;
import org.apache.cordova.CordovaInterface;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import com.stroeven.greeter.*;
import com.viatom.azur.bluetooth.*;
import com.viatom.azur.measurement.*;
import com.viatom.azur.utils.*;
import android.content.ServiceConnection;
import android.content.Intent;
import android.app.Service;
import android.content.ComponentName;
import android.os.IBinder;
import android.os.Binder;
import android.content.Context;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import java.util.List;

import android.util.Log;

import 	java.lang.InterruptedException;


public class checkMeInterface extends CordovaPlugin implements BTConnectListener, PingThreadListener{

    private CordovaInterface cordova;
    private CordovaWebView webView;
    private CallbackContext callback;
    
    public enum CMD{
    	START_BT_TRANSFER
    }


    @Override
    public boolean execute(String action, JSONArray args, CallbackContext callbackContext) throws JSONException {
       switch(action){
       	   case CMD.START_BT_TRANSFER.name() : {
       	   		this.callback = callbackContext;
       		   PluginResult r = new PluginResult(PluginResult.Status.NO_RESULT);
       		   r.setKeepCallback(true);
       		   callbackContext.sendPluginResult(r);
       		   
       		    Intent i = new Intent(context, BTActivity.class);
       		    i.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
       		    cordova.startActivityForResult(this,i,90);
       		    
       		    return true;
       	   }
       	   default: {return false;}
       
       }
       
       return false;
    	
    }
    
    public void onActivityResult(int requestCode, int resultCode, Intent intent){
    	
    	String result = "";

    this.callback.sendPluginResult(new PluginResult(PluginResult.Status.OK, result));

    // when there is no direct result form your execute-method use sendPluginResult because most plugins I saw and made recently (Reminder) prefer sendPluginResult to success/error
    // this.callbackContext.success(result.toString());
    }

    
}